Zilfu
API ReferencePosts

Update a post

Updates a single post's content, schedule, and media attachments.

PUT
/spaces/{space}/posts/{post}
AuthorizationBearer <token>

In: header

Path Parameters

space*integer

The space ID

post*integer

The post ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://zilfu.app/api/spaces/0/posts/0" \  -H "Content-Type: application/json" \  -d '{}'
{
  "data": {
    "id": 0,
    "content": "string",
    "status": 0,
    "order": 0,
    "scheduled_at": "2019-08-24T14:15:22Z",
    "published_at": "2019-08-24T14:15:22Z",
    "metadata": [
      null
    ],
    "imported": true,
    "cluster_id": "string",
    "parent_id": 0,
    "user_id": 0,
    "account_id": 0,
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z",
    "analytics": [
      null
    ],
    "account": {
      "id": 0,
      "social": "string",
      "display_name": "string",
      "handler": "string",
      "avatar": "string",
      "is_active": true
    },
    "children": [
      {
        "id": 0,
        "content": "string",
        "status": 0,
        "order": 0,
        "scheduled_at": "2019-08-24T14:15:22Z",
        "published_at": "2019-08-24T14:15:22Z",
        "metadata": [
          null
        ],
        "imported": true,
        "cluster_id": "string",
        "parent_id": 0,
        "user_id": 0,
        "account_id": 0,
        "created_at": "2019-08-24T14:15:22Z",
        "updated_at": "2019-08-24T14:15:22Z",
        "analytics": [
          null
        ],
        "account": {
          "id": 0,
          "social": "string",
          "display_name": "string",
          "handler": "string",
          "avatar": "string",
          "is_active": true
        },
        "children": [],
        "media": [
          {
            "id": "string",
            "type": "string",
            "url": "string",
            "mime": "string",
            "width": "string",
            "height": "string",
            "size": "string",
            "alt": "string",
            "order": "string"
          }
        ]
      }
    ],
    "media": [
      {
        "id": "string",
        "type": "string",
        "url": "string",
        "mime": "string",
        "width": "string",
        "height": "string",
        "size": "string",
        "alt": "string",
        "order": "string"
      }
    ]
  }
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string"
}
{
  "message": "string",
  "errors": {
    "property1": [
      "string"
    ],
    "property2": [
      "string"
    ]
  }
}